package com.ekexiu.portal.service;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.param.JdbcConn;

import com.ekexiu.portal.dao.DictMetaDao;
import com.ekexiu.portal.po.DictMeta;

@Path("/dictMetaService")
public class DictMetaService {
	@Autowrie
	private DictMetaDao  dictMetaDao;
	
	
	public DictMetaDao getDictMetaDao() {
		return dictMetaDao;
	}


	public void setDictMetaDao(DictMetaDao dictMetaDao) {
		this.dictMetaDao = dictMetaDao;
	}


	@Path("/qa")
	@Get
	List<DictMeta> query(@JdbcConn(false) Connection con) throws SQLException{
		return this.dictMetaDao.query(con);
	}
}
